Name:           pyside-tools
Version:        0.2.13
Release:        18%{?dist}
Summary:        Development tools for PySide

# LICENSE-uic file in the source tarball includes BSD and GPL license texts,
# but all the source files appear to have been re-licensed under GPLv2 by now.
License:        GPLv2
URL:            http://www.pyside.org
Source0:        http://www.pyside.org/files/pyside-tools-%{version}.tar.bz2

BuildRequires:  cmake gcc-c++
BuildRequires:  python2-devel
BuildRequires:  python-pyside-devel
BuildRequires:  qt4-devel
BuildRequires:  /usr/bin/pathfix.py

Requires:       %{py2_dist pyside}

%description
PySide provides Python bindings for the Qt cross-platform application
and UI framework.

This package ships the following accompanying tools:
 * pyside-rcc - PySide resource compiler
 * pyside-uic - Python User Interface Compiler for PySide
 * pyside-lupdate - update Qt Linguist translation files for PySide


%prep
%autosetup

# Remove bundled ElementTree library which is part of Python 2.5 and newer
rm -rf pysideuic/elementtree/


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DSITE_PACKAGE=%{python2_sitearch} ..
%make_build
popd


%install
pushd %{_target_platform}
%make_install

# Fix all Python shebangs recursively in .
# -p preserves timestamps
# -n prevents creating ~backup files
# -i specifies the interpreter for the shebang
pathfix.py -pni "%{__python2} %{py2_shbang_opts}" %{buildroot}%{_bindir}/*


%files
%doc AUTHORS ChangeLog
%license LICENSE*
%{_bindir}/pyside-rcc
%{_bindir}/pyside-uic
%{_bindir}/pyside-lupdate
%{_mandir}/man1/pyside-rcc.1*
%{_mandir}/man1/pyside-uic.1*
%{_mandir}/man1/pyside-lupdate.1*
%{python2_sitearch}/pysideuic/


%changelog
* Fri Feb 15 2019 Richard Shaw <hobbes1069@gmail.com> - 0.2.13-18
- Fix FTBFS, BZ#1675710.
- Use %%license
- Fix python shebangs.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2.13-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.2.13-8
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 25 2011 Kalev Lember <kalevlember@gmail.com> - 0.2.13-1
- Update to 0.2.13

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 0.2.11-1
- Update to 0.2.11

* Thu Jun 23 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.10-1
- Update to 0.2.10
- Cleaned up the spec file for modern rpmbuild

* Fri May 27 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.9-1
- Update to 0.2.9

* Sun Apr 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.8-1
- Update to 0.2.8

* Thu Mar 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.7-1
- Update to 0.2.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.6-1
- Update to 0.2.6
- Added man pages

* Wed Dec 01 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.3-1
- Update to 0.2.3

* Tue Nov 23 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.2-2
- Remove bundled ElementTree library in prep (#655527)
- Updated License tag to reflect bundled ElementTree removal

* Sat Nov 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.2-1
- Initial RPM release
